from gpiozero import LED, Buzzer
from guizero import App, Box, Text, TextBox, warn
import csv

led8 = LED(19)

def clearDisplay():
    print("Display schonen")
    rfidStatus.value = "---"
    rfidText.value = ""
    led8.off()
    rfidStatus.repeat(1000, checkRFidTag)

def checkRFidTag():
    tagId = rfidText.value
    if tagId != "":
        RFidRegistered = False
        print(tagId)
        with open("Database.csv") as csvfile:
            reader = csv.DictReader(csvfile)
            for row in reader:
                if row["RFID"] == tagId:
                    RFidRegistered = True
                    print("Welkom " + row["Gebruiker"])
                    rfidStatus.value = "Welkom " + row["Gebruiker"]
                    led8.on()
                    rfidStatus.after(2000, clearDisplay)

        if RFidRegistered == False:
            print("RFID tag is niet geregistreerd")
            rfidStatus.value = "RFID tag is niet geregistreerd"
            rfidStatus.after(3000, clearDisplay)

        rfidStatus.cancel(checkRFidTag)

app = App(title="RFID EM4100 Basis GUI", width=350, height=150, layout="auto")

instructionText = Text(app, text="Klik op de tekstknop \n en scan jouw RFID tag.")
rfidText = TextBox(app)
rfidStatus = Text(app, text="---")
rfidStatus.repeat(1000, checkRFidTag)
designBy = Text(app, text="Ontworpen voor Picademie.nl", align="bottom")

app.display()
